import { Input, Card, InputNumber, Button, message } from 'antd';
import { useEffect, useState } from 'react';
import { Form } from 'antd';
import { history } from 'umi';
import ProCard from '@ant-design/pro-card';
import { getSetting, updateSetting } from '@/services/setting';
import SettingRow from '@/components/SettingRow';

const FormItem = Form.Item;
export default (props) => {
  const [form] = Form.useForm();
  const [loading, setLoading] = useState(false);
  const [data, setData] = useState([]);

  const formItemLayout = {
    //布局
    labelCol: { span: 6 },
    wrapperCol: { span: 14 },
  };

  const Submit = (values) => {
    console.log('🚀 ~ file: index.jsx ~ line 21 ~ values', values);
  };
  const handleChange = (item, val) => {
    updateSetting(item.settingId, { ...item, settingValue: val })
      .then(() => {
        message.success('修改' + item.settingDesc + '成功');
      })
      .catch((err) => {
        setLoading(false);
        message.error(err.message || err);
      });
  };
  useEffect(() => {
    getSetting().then((res) => {
      setData(res.records);
    });
  }, []);
  return (
    <Card>
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="基本参数">
          {data.map((item) => {
            return <SettingRow key={item.settingId} value={item} onChange={handleChange} />;
          })}
          {/* <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem
              label="平台联系电话"
              name="shopName"
              rules={[{ required: true, message: '请输入' }]}
            >
              <Input
                placeholder="请输入"
                type={'number'}
                maxLength={11}
                style={{ width: '350px' }}
              />
            </FormItem>

            <FormItem label=" " colon={false}>
              <Button
                type="primary"
                loading={loading}
                htmlType="Submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form> */}
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
